Raspberry Pi 2 – VLC et accélération matériel (hardware acceleration)

23 Mar 2015 par jj, 17 commentaires »

UPDATE : Raspberry Pi 3 et Raspbian Pixel – VLC 2.4 et accélération matériel (hardware acceleration)
Ayant un petit projet de boucle de secours lowcost à mon bureau, j’ai décidé de franchir le cap et de commander pour l’occasion le nouveau Pi 2 !!!

Raspberry Raspbian VLC

Bon, je dois dire que ça fait bien longtemps que je voulais triturer ces petites bébêtes et je dois avouer être très satisfait (d’ailleurs mon projet robotique d’hexapod va également en profiter!!)

Bon évidement j’ai un peu galéré pour recompiler donc voici un petit tuto, si vous le suivez à la lettre en prenant exactement les mêmes version que moi il ne devrait pas y avoir de soucis .

 

Donc allez chercher la version de Raspbian suivante : 2015-02-16-raspbian-wheezy.img

Installez la sur votre carte SD (il y a assez de tuto sur le net pour ça)

Démarrez votre Raspberry, et un écran de setup devrait apparaitre.

Paramétrer vos … blabla …

Activer le … (Je m’ennuis)

Et connectez vous en SSH à votre Raspberry (Là le travail commence vraiment)

faites :

puis installons les paquets de base :

puis :

Ensuite :

Téléchargez et installez la version de VLC 2.1 :

Et voilà, votre VLC est tout propre et utilise l’accélération matériel de votre Raspberry PI 2 !!!

 

Bon courage !!

Étiquettes : , , , , , , ,

17 commentaires

  1. salle eric dit :

    Bonjour

    J’ai essayé d’installer le code mais j’ai un message d’erreur a la commande make

    pi@raspberrypi ~/vlc-2.1 $ make
    make: *** Pas de cible spécifiée et aucun makefile n’a été trouvé. Arrêt.
    pi@raspberrypi ~/vlc-2.1 $ make install
    make: *** No rule to make target ‘install’. Arrêt.

    merci de votre aide

    ERIC SALLE

    • jj dit :

      Bonjour,
      Que vous donne la commande ./configure –prefix=/usr –enable-rpi-omxil –disable-ogg –disable-mux_ogg avant de lancer la compilation ?
      Manifestement il y a eut une erreur car il n’a pas généré le makefile.

      Cordialement,
      JJ

  2. adrk dit :

    J’ai le même souci ; j’ai ça après le ./configure : configure: error: libavcodec versions 56 and later are not supported yet.

    • jj dit :

      Avez-vous pris la version de raspbian cité dans le tuto : 2015-02-16-raspbian-wheezy.img ?
      Si oui je vous propose deux solutions :
      -Je me connecte à distance pour voir ce qui cloche
      -Je commence à peine de tester dernière version de Raspbian Jessie 2015-09-24, un nouveau tuto suivra

      Cordialement,
      JJ

  3. Majid dit :

    Hello !

    J’ai la même erreur perso.
    Est ce que cela pourrait être un soucis de compilateur C qui ne serait pas installé de bases ?

    • jj dit :

      Au début du tuto nous installons justement toutes les dépendances nécessaires :
      sudo apt-get install liba52-0.7.4-dev libdirac-dev libdvdread-dev libkate-dev libass-dev libbluray-dev libcddb2-dev libdca-dev libfaad-dev libflac-dev libmad0-dev libmodplug-dev libmpcdec-dev libmpeg2-4-dev libogg-dev libopencv-dev libpostproc-dev libshout3-dev libspeex-dev libspeexdsp-dev libssh2-1-dev liblua5.1-0-dev libopus-dev libschroedinger-dev git libtool build-essential pkg-config autoconf libvlc-dev libncursesw5-dev libtwolame-dev libx264-dev libxcb-composite0-dev libxcb-randr0-dev libxcb-xv0-dev libzvbi-dev libxcb-keysyms1-dev libsdl-image1.2-dev librsvg2-dev libsamplerate0-dev libudev-dev libmtp-dev libupnp6-dev libnotify-dev libdvbpsi-dev libgme-dev libebml-dev libgnomevfs2-dev libsidplay2-dev libva-dev libjack-jackd2-dev libchromaprint-dev libxpm-dev libncurses5-dev libsidplay1-dev libtar-dev libqt4-dev libvlccore-dev

      Relancez cette commande et réessayez.
      Je vous conseille fortement de prendre la version Wheezy utilisé pour ce tuto :
      http://downloads.raspberrypi.org/raspbian/images/raspbian-2015-02-17/2015-02-16-raspbian-wheezy.zip

      Cordialement,
      JJ

  4. rom dit :

    Hello jj, merci pour le tuto !
    Au fait, depuis est-ce que tu es arrivé à faire la compilation de vlc avec hardware acceleration sous jessie ?

    • jj dit :

      Salut rom,
      Malheureusement je travaille sur d’autres sujets actuellement qui me prennent pas mal de temps.
      Je suis en train de préparer une image sous Wheezy avec vlc de pré-installé que vous pourrez telecharger directement depuis le site le temps que j’avance sur la dernière version avec Jessie.
      Si vous avez plus d’avancement, n’hésitez pas à me contacter !!
      Merci d’avance,

      Cordialement,
      JJ

  5. Fvan dit :

    Bonjour,
    Tout c est bien passé pour moi; aucune erreur de compile par contre la vidéo ne se lance pas.
    Sur une instalo normal (apt) j avais la video saccadée cas illisible, la nada.
    Une idée?
    cdlt,

  6. Fvan dit :

    re,
    Désolé pour le post du dessus tout est ok en fait j’essayais un .mkv un peu velu et là ça ne passe pas sinon la majorité des vidéo passe.
    cdlt;

    • jj dit :

      Bonjour Fvan,

      Pouvez-vous m’en dire plus sur votre installation, version et date de Raspbian, version de Vlc téléchargé.
      Ce sujet étant épineux pour beaucoup, je suis en train de préparer différentes version selon les demandes.

      Merci d’avance,

      Cordialement,
      JJ

  7. fvan dit :

    Apres plusieurs tests tout semblait ok; jusqu au moment ou j ai volu passer en full screen ; la cela ne passe plus.
    concernant mon install, j ai fait comme ce blog, rasp2 la derniere raspbian le la vervion de vlc préconnisé ici la 2.1
    Pas de soucis à la compile. C était pas la premiere fois que j essayais ; déja avec le rasp B mais je n avais jamais réussi jusque la à lire des vidéos > 240×380. Maintenant casi tt les vidéos passe
    J aimerais savoir si l’auteur du tuto à réussi à voir ces videos en full screen.

    cdlt;

  8. Fvan dit :

    En fait.
    Même si vlc à été recompilé avec l’acceleration matériel et que la case est coché dans préférence VLC ne se lance pas avec .
    Il faut obligatoirement ajouter l’option au lancement:
    vlc –vout omxil_vout

    Maintenant impossible dans ce mode d’occuper tout l’écran (vlc indique une erreur de zoom) mais la video est fluide et occupe les 3/4 de l’écran.

    cdlt.

  9. robotzeus dit :

    Bonjour j’ai trouvé une solution pour faire le
    make
    apres
    ./configure –prefix=/usr –enable-rpi-omxil –disable-ogg –disable-mux_ogg

    la solution( pas forcement la plus propre) c’est de faire un remove sur libavcodec56
    puis ajouter les depot wheezy et mettre en commentaire le dépôt de votre version actuel.
    lancer les apt-get udate puis upgrate
    lancer
    ./configure –prefix=/usr –enable-rpi-omxil –disable-ogg –disable-mux_ogg
    si il marque libavcodec no found c’est qu’on est sur la bonne voie

    a ce moment la il faut installer libavcodec-dev et les lib manquante avec l’extension -dev

    après il sera possible de lancé le make
    PS pour le moment j’ai pas encore testé la suite puisqu’il est en train de compiler pendant que je vous écrit

    • jj dit :

      Bonjour,

      J’ai fait une installation vlc sur le dernier Raspbian avec la dernière version de mon tutoriel pas plus tard que hier et sans aucun soucis.
      Je vous conseille donc de vous référer au dernier tutoriel.

      Cordialement,

      JJ

Réagissez

Raspberry Pi 2 ou 3 et Raspbian Jessie - VLC 2.4 et accélération matériel (hardware acceleration)

Raspberry Pi 2 ou 3 et Raspbian Jessie – VLC 2.4 et accélération matériel (hardware acceleration)

Aujourd’hui je vais à nouveau publier une mise à jour de l’article : Raspberry Pi 2 – VLC et accélération matériel (hardware [&hellip

Raspberry Pi 2 ou 3 et Raspbian Jessie - VLC 2.2 et accélération matériel (hardware acceleration)

Raspberry Pi 2 ou 3 et Raspbian Jessie – VLC 2.2 et accélération matériel (hardware acceleration)

UPDATE : Raspberry Pi 2 ou 3 et Raspbian Pixel – VLC 2.4 et accélération matériel (hardware acceleration) Aujourd’hui je vais [&hellip

Compilation de la derniere version de FFMPEG

Compilation de la derniere version de FFMPEG

Bonjour à tous, Aujourd’hui un petit tuto pour avoir la dernière version de ffmpeg, ce tutoriel à été utilisé maintes [&hellip

Raspberry Pi 2 - VLC et accélération matériel (hardware acceleration)

Raspberry Pi 2 – VLC et accélération matériel (hardware acceleration)

UPDATE : Raspberry Pi 3 et Raspbian Pixel – VLC 2.4 et accélération matériel (hardware acceleration) Ayant un petit projet de [&hellip

FFMPEG - Diffuser un flux ip multicast en adaptative smooth streaming

FFMPEG – Diffuser un flux ip multicast en adaptative smooth streaming

Un petit script bien utile pour délivrer un flux video multicast en adaptative smooth streaming : Articles similaires

Installation de Transform Manager

Installation de Transform Manager

Prérequis – résumé : Télécharger Transform Manager Télécharger IIS Media Services 4.1 Télécharger IIS Managment console Télécharger .NET Framework 3.5 [&hellip

Suivez moi !

Follow Me! Follow Me! Follow Me! Follow Me!

Une ptite donation

Si vous voulez contribuer à faire vivre ce site :

Chercher

%d blogueurs aiment cette page :